Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Env_Value Class Template Reference

Enviroment Variable Value. More...

`#include <Env_Value_T.h>`

Collaboration diagram for ACE_Env_Value:

[legend]
List of all members.

## Public Methods
| ACE_Env_Value (void)
| Default constructor which isn't bound to a specific environment variable name or a default value. More...
| ACE_Env_Value (const ACE_TCHAR *varname, const T &vardefault)
| Constructor that calls <open>. More...
| ~ACE_Env_Value (void)
| Destroy the value. More...
| operator T (void)
| Returns the value as type T. More...
void | open (const ACE_TCHAR *varname, const T &defval)
| The constructor, read <varname> from the environment, using <vardefault> as its value if it is not defined. More...
const ACE_TCHAR * | varname (void) const
| Returns the name of the variable being tracked. More...
## Private Methods
| ACE_Env_Value (const ACE_Env_Value< T > &)
| Disallow copying and assignment. More...
ACE_Env_Value< T > | operator= (const ACE_Env_Value< T > &)
void | fetch_value (void)
## Private Attributes
const ACE_TCHAR * | varname_
T | value_

## Detailed Description

### template<class T>
class ACE_Env_Value< T >

Enviroment Variable Value.

Reads a variable from the user enviroment, providing a default value.

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Env_Value< T >::ACE_Env_Value | ( | void |  | ) |

| Default constructor which isn't bound to a specific environment variable name or a default value. Before being useful it must <open>'d.

template<class T>
ACE_INLINE ACE_Env_Value< T >::ACE_Env_Value | ( | const ACE_TCHAR * | varname,
|  | const T & | defval
| ) |

| Constructor that calls <open>.

template<class T>
ACE_INLINE ACE_Env_Value< T >::~ACE_Env_Value | ( | void |  | ) |

| Destroy the value.

template<class T>
ACE_Env_Value< T >::ACE_Env_Value | ( | const ACE_Env_Value< T > & |  | ) | `[private]`

| Disallow copying and assignment.

## Member Function Documentation

template<class T>
ACE_INLINE void ACE_Env_Value< T >::fetch_value | ( | void |  | ) | `[private]`

template<class T>
ACE_INLINE void ACE_Env_Value< T >::open | ( | const ACE_TCHAR * | varname,
|  | const T & | defval
| ) |

| The constructor, read <varname> from the environment, using <vardefault> as its value if it is not defined.

template<class T>
ACE_INLINE ACE_Env_Value< T >::operator T | ( | void |  | ) |

| Returns the value as type T.

template<class T>
ACE_Env_Value<T> ACE_Env_Value< T >::operator= | ( | const ACE_Env_Value< T > & |  | ) | `[private]`

template<class T>
ACE_INLINE const ACE_TCHAR * ACE_Env_Value< T >::varname | ( | void |  | ) | const

| Returns the name of the variable being tracked.

## Member Data Documentation

template<class T>
T ACE_Env_Value::value_`[private]`

template<class T>
const ACE_TCHAR* ACE_Env_Value::varname_`[private]`

The documentation for this class was generated from the following files:

- Env_Value_T.h
- Env_Value_T.i